function add_skill016()--谢沧行 

m=global.GetGameStat()
n=player.GetLevel(16)
    
    
--    if n==2 then
--    ui.ShowHelpDlg(4505)
--    end
    
    if n==2 then
    
	    player.AddMagic(89)
	    ui.Message(70027)--习得绝技：摧岳撼--谢沧行习得绝技：摧岳撼
	
	elseif n==4 then

	    player.AddMagic(103)
		player.AddMagic(3039)
	    ui.Message(89665)--谢沧行习得绝技：罡炼释  
        ui.Message(170722)--谢沧行习得被动绝技：罡
    
    elseif n==26 then

	    player.AddMagic(90)
	    ui.Message(70028)--习得绝技：裂穹斩--谢沧行习得绝技：裂穹斩
    
    elseif n==40 then

	    player.AddMagic(91)
	    
	    if m==2 then
	    ui.Message(70029)--习得绝技：刑锁念刃--谢沧行习得绝技：刑锁念刃
	    end
    
    
	end

end